body {
    width: 100%;
    height: 100%;
    margin: 0;
    overflow: hidden;
    font-family: 'Noto Sans KR', sans-serif;
    background-size: cover;
    background-image: url(../img/백그라운드1.png);
    background-position: 50%,50%;
    background-repeat: no-repeat;
}

button {
    font-family: 'Noto Sans KR', sans-serif;
}

.background {
    width: 100%;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.4);
}

.header_wrap {
    width: 100%;
    height: 70px;
    background-color: rgba(0, 0, 0, 0.5);
}

.header {
    width: 90%;
    height: 70px;
    margin: 0 auto;
    display: flex;
    align-items: center;
}
.logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}
.logo img {
    max-width: 100%; 
}
.logo_right {
    display: flex;
    align-items: center;
    gap: 10px;
}
.personal_text_wrap {
    display: flex;
    align-items: center;
    gap: 5px;
}
.personal_text {
    color: #fff;
    font-size: 16px;
}
.logout_btn {
    padding: 5px 50px;
    color: #fff;
    font-size: 20px;
    border-radius: 30px;
    background-color: transparent;
    border: 1px solid #fff;
    cursor: pointer;
}
.contents {
    margin: 0 auto;
    max-width: 80%;
    height: calc(100% - 200px);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.contents_article {
    display: flex;
    flex-direction: column;
    gap: 15px;
    color: #fff;
    font-size: 34px;
}

.contents_article p {
    margin: 0;
}

.contents_login_wrap {
    width: 380px;
    height: 340px;
    border: 1px solid #fff;
}

.contents_login {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 10px;
}

.contents_login span {
    color: #fff;
    font-size: 18px;
    font-weight: 600;
}

.login_form {
    display: flex;
    align-items: center;
    gap: 8px;
}

.login_input {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.login_input input {
    width: 230px;
    height: 40px;
    padding: 0 10px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #DBD6D6;
}

.login_input input::placeholder {
    color: #A3ABB5;
    font-weight: 900;
}

.id,
.password {
    position: relative;
}

.id span, .password span {
    position: absolute;
    top: 12px;
    right: 15px;
    color: #ff0000;
    font-size: 12px;

    display: none;
}

.font_black {
    color: #000;
    font-size: 12px;
}

.warning_wrap {
    display: flex;
    flex-direction: column;
}

.login_btn button {
    width: 80px;
    height: 90px;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    border: 0;
    border-radius: 5px;
    background-color: #FC6D2D;
    cursor: pointer;
}

.signup_btn_wrap {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.signup_btn button {
    width: 340px;
    height: 35px;
    color: #000;
    font-size: 16px;
    border: 0;
    border-radius: 5px;
    background-color: #D0E2D1;
    cursor: pointer;
}

.black button {
    color: #fff;
    background-color: #000;
}

.social {
    padding: 20px 0 0 0;
}

.social_login_wrap {
    display: flex;
    gap: 10px;
}

.social_login_wrap img {
    width: 40px;
    height: 40px;
    cursor: pointer;
}


/* 회원가입 모달창 CSS */
.modal_signup {
    position: absolute;

    width: 100%;
    height: 100%;

    top: 0;
    left: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    display: none;

    background-color: rgba(0, 0, 0, 0.6);
}

.signup_wrap {
    width: 390px;
    padding: 10px 0px;
    display: flex;
    justify-content: center;
    background-color: #fff;
}

.signup {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    gap: 10px;
    padding: 10px;
}

.signup_title {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.title_flex {
    display: flex;
    align-items: center;
}

.title_flex img {
    position: absolute;
    right: 15px;
    width: 20px;
    cursor: pointer;
}

.signup_title {
    font-size: 20px;
    font-weight: 600;
}

.signup_title .warning {
    color: #ff0000;
    font-size: 14px;
    font-weight: 500;
}

.signup input {
    width: 300px;
}

.id_wrap {
    position: relative;
}

.id_wrap button {
    position: absolute;
    top: 3.5px;
    right: 5px;
    width: 90px;
    height: 35px;
    color: #fff;
    font-size: 14px;
    font-weight: 600;
    border: 0;
    border-radius: 5px;
    background-color: #FC6D2D;
    cursor: pointer;
}

.id_warning {
    margin: -5px 0 0 0;
    display: flex;
    flex-direction: column;
    display: none;
}

.name_warning {
    margin: -5px 0 0 0;
    display: flex;
    flex-direction: column;
    display: none;
}

.exist,
.available {
    font-size: 12px;
    color: #ff0000;
}

.available {
    color: #3E81ED;
}

.modal_signup .password {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.checkbox_wrap {
    display: flex;
    justify-content: center;
    gap: 15px;
}

.policy,
.private {
    display: flex;
    align-items: center;
    gap: 5px;
}

.checkbox_wrap input {
    width: 15px;
}

.checkbox_wrap span {
    color: #9B9B9B;
    font-size: 14px;
    text-decoration: underline;
    cursor: pointer;
}

.login_btn_wrap {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.login_btn_wrap button {
    width: 120px;
    height: 35px;
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    border: 0;
    border-radius: 5px;
    background-color: #9B9B9B;
    cursor: pointer;
}

.login_btn_wrap button:last-child {
    background-color: #3E81ED;
}


/* 아이디 중복확인 모달창 CSS */
.modal_check {
    position: absolute;
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;

    display: none;

    background-color: rgba(0, 0, 0, 0.6);
}


.check_body {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    width: 320px;
    height: 200px;
    padding: 25px;
    background-color: rgb(255, 255, 255);
}

.check_title {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    
    font-size: 20px;
    font-weight: 600;
    width: 100%;
    height: 30px;
    padding: 0 0 5px 0;
    border-bottom: 1px solid #707070;
}
.check_title_text {
    font-size: 16px;
    color: #ff0000;
    padding-bottom: 10px;
}
.check_title img {
    position: absolute;
    right: 10px;
    width: 20px;
    cursor: pointer;
}

.input_box {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.input_box input {
    width: 200px;
    height: 30px;
    padding: 0 10px;
    border-radius: 5px;
    border: 1px solid #707070;
}

.modal_check button {
    width: 100px;
    height: 32px;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    border: 0;
    border-radius: 5px;
    background-color: #3E81ED;
    cursor: pointer;
}

.phrases_wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 14px;
}

.phrases_wrap span { 
    text-decoration: underline;
}

.warning {
    color: #ff0000;
    text-decoration-color: #ff0000;
}


/* 이용약관 동의 모달창 CSS */
.modal_policy {
    position: absolute;
    top: 0;
    left: 0;

    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;

    display: none;

    background-color: rgba(0, 0, 0, 0.6);
}

.policy_body {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 400px;
    height: 450px;
    background-color: #fff;
}

.personal_body {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 400px;
    height: 450px;
    background-color: #fff;
}

.policy_title {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 50px;
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    background-color: #3E81ED;
}

.policy_title img {
    position: absolute;
    right: 10px;
    width: 20px;
    cursor: pointer;
}

.policy_box_wrap {
    width: calc(100% - 40px);
    height: calc(100% - 80px);
    padding: 20px;
    font-size: 14px;
    letter-spacing: 1.2px;
}

.policy_box {
    width: 100%;
    height: 100%;
    padding: 0 8px 0 0;
    overflow-y: scroll;
}

.policy_box::-webkit-scrollbar {
    width: 10px;
}

.policy_box::-webkit-scrollbar-thumb {
    height: 30%;
    background: #3E81ED;
    border-radius: 10px;
}

.policy_box::-webkit-scrollbar-track {
    background: rgba(108, 173, 233, 0.4);
}


/* 접속하기  */
.contents_connect {
    margin: 0 auto;
    max-width: 80%;
    height: 75%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 180px;
}

.contents_article_connect {
    display: flex;
    flex-direction: column;
    gap: 15px;
    color: #fff;
    font-size: 34px;
}

.contents_article_connect p {
    margin: 0;
}

.contents_btn_wrap {
    display: flex;
    gap: 25px;
}

.contents_btn_wrap button {
    width: 250px;
    height: 50px;
    color: #fff;
    font-size: 24px;
    border-radius: 30px;
    background-color: transparent;
    border: 1px solid #fff;
    cursor: pointer;
}

footer {
    position: fixed;
    bottom: 0;
    right: 0;
    left: 0;
    background: rgba(0,0,0,0.5);
    color: gray;
}
.footer_info {
    padding: 10px 0px;
    width: 80%;
    margin: 0 auto;
    font-size: 14px;
}
.footer_info p {
    padding: 0;
    margin: 0;
    margin-bottom: 3px;
}


/* 미디어쿼리 CSS */
@media screen and (max-width:1120px) {
    .contents_article {
        font-size: 28px;
    }
}

@media screen and (max-width:1000px) {
    .contents_article {
        font-size: 24px;
    }
}

@media screen and (max-width:900px) {
    .contents_article {
        font-size: 28px;
    }

    .contents {
        height: 100%;
        /* height: calc(100vh - 182px); */
        padding-top: 30px;
        display: flex;
        flex-direction: column;
        align-items: center;
        /* justify-content: center; */
        justify-content: flex-start;
        gap: 50px;
    }
}
@media screen and (max-width:740px) {
    /* .header_wrap {
        height: 100px;
    } */
    .header {
        height: 100%;
    }
    .logo {
        height: 100%;
    }
    .logo_right {
        flex-direction: column;
    }
}
@media screen and (max-width:600px) {
    .contents_article {
        font-size: 24px;
    }

    .contents_article_connect {
        font-size: 28px;
    }

    .contents_btn_wrap button {
        width: 220px;
        font-size: 20px;
    }
}
@media screen and (max-width:515px) {
    .header {
        width: 100%;
    }
    .personal_text {
        font-size: 14px;
    }
    .logout_btn {
        padding: 0px 25px;
        font-size: 16px;
    }
    .logo img {
        max-width: 100%;
    }
}
@media screen and (max-width:499px) {
    .contents_article {
        font-size: 22px;
    }

    .contents {
        height: 90%;    
    }

    .contents_article_connect {
        font-size: 18px;
    }

    .contents_btn_wrap button {
        font-size: 18px;
    }

    .contents_login_wrap {
        width: 360px;
    }

    .policy_body {
        width: 370px;
    }
}
@media screen and (max-width:480px) {
    .contents_login_wrap {
        height: 320px;
    }
    .social {
        padding: 0;
    }
    .contents {
        gap: 10px;
        padding-top: 10px;
    }
}
@media screen and (max-width:430px) {
    .header_wrap {
        height: auto;
        padding: 5px 0px;
    }
    .logo {
        flex-direction: column;
    }
}
@media screen and (max-width:390px) {
    .contents {
        gap: 30px;
    }

    .contents_article {
        font-size: 18px;
    }

    .contents_login_wrap {
        width: 300px;
    }

    .login_input input {
        width: 170px;
        font-size: 12px;
    }

    .login_btn button {
        width: 60px;
        font-size: 14px;
    }

    .id span, .password span {
        font-size: 10px;
    }

    .signup_btn button {
        width: 260px;
    }

    .signup_wrap {
        width: 320px;
    }
    
    .signup {
        width: 100%;
    }
    
    .signup input {
        width: 280px;
    }

    .checkbox_wrap input {
        width: 15px;
    }

    .check_body {
        width: 260px;
    }

    .input_box input {
        width: 160px;
    }

    .policy_body {
        width: 320px;
    }
}

@media screen and (max-width:330px) {
    .contents_article {
        font-size: 17px;
    }

    .contents_login_wrap {
        height: 350px;
        height: 340px;
    }

    .contents_article_connect {
        font-size: 16px;
    }

    .contents_btn_wrap button {
        font-size: 16px;
    }

    .contents_login_wrap {
        width: 260px;
    }

    .login_input input {
        width: 150px;
        font-size: 10px;
    }

    .login_btn button {
        width: 50px;
        font-size: 12px;
    }
    .signup_btn button {
        width: 230px;
    }

    .social_login_wrap img {
        width: 45px;
        height: 45px;
    }

    .signup_wrap {
        width: 280px;
    }
    
    .signup {
        width: 100%;
    }
    
    .signup input {
        width: 230px;
    }

    .login_btn_wrap button {
        width: 100px;
        font-size: 14px;
    }

    .checkbox_wrap input {
        width: 15px;
    }

    .check_body {
        width: 220px;
    }

    .input_box input {
        width: 140px;
    }

    .modal_check button {
        width: 80px;
        font-size: 14px;
    }

    .policy_body {
        width: 270px;
    }
}

@media screen and (max-width:280px) {
    .contents_article {
        font-size: 14px;
    }

    .signup_wrap {
        width: 260px;
    }
    
    .signup {
        width: 100%;
    }
    
    .signup input {
        width: 220px;
    }

    .checkbox_wrap input {
        width: 15px;
    }

    .policy_body {
        width: 240px;
    }
}

@media screen and (max-height:625px) {
    .contents_article {
        display: none;
    }
}

@media screen and (max-width:900px) and (max-height:800px) {
    .contents {
        gap: 25px;
    }
    .contents_article {
        font-size: 20px;
    }
    .footer_info {
        font-size: 10px !important;
    }
}
@media screen and (max-width:900px) and (max-height:685px) {
    .contents_article {
        font-size: 16px;
    }
    .contents_article {
        gap: 0px;
    }
}